# Method: projects.locations.clusters.nodePools.create

- [HTTP request](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/container/rest/v1/projects.locations.clusters.nodePools/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/container/rest/v1/projects.locations.clusters.nodePools/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/container/rest/v1/projects.locations.clusters.nodePools/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/container/rest/v1/projects.locations.clusters.nodePools/create#body.request_body)
- [Response body](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/container/rest/v1/projects.locations.clusters.nodePools/create#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/container/rest/v1/projects.locations.clusters.nodePools/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/container/rest/v1/projects.locations.clusters.nodePools/create#try-it)

Creates a new NodePool in a given project and location.

### HTTP request

`POST https://edgecontainer.googleapis.com/v1/{parent=projects/*/locations/*/clusters/*}/nodePools`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent cluster where this node pool will be created. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `edgecontainer.nodePools.create` |

### Query parameters

| Parameters ||
|---|---|
| `nodePoolId` | `string` Required. A client-specified unique identifier for the node pool. |
| `requestId` | `string` A unique identifier for this request. Restricted to 36 ASCII characters. A random UUID is recommended. This request is only idempotent if `requestId` is provided. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/container/rest/v1/projects.locations.clusters.nodePools#NodePool`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/container/rest/v1/projects.locations.operations#Operation`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).